petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscViewerBinaryAddMPIIOOffset

Adds to the current offset that should be passed to MPI_File_set_view()

### Synopsis

    #include "petscviewer.h"
    PetscErrorCode PetscViewerBinaryAddMPIIOOffset(PetscViewer viewer,MPI_Offset off)

Not Collective

### Input Parameters

| viewer | - PetscViewer context, obtained from PetscViewerBinaryOpen()
| off | - the addition to the offset

### Fortran Note

This routine is not supported in Fortran.

Use PetscViewerBinaryGetMPIIOOffset() to get the value that you should pass to MPI_File_set_view()

### See Also

PetscViewerBinaryOpen(),PetscViewerBinaryGetInfoPointer(), PetscViewerBinaryGetUseMPIIO(), PetscViewerBinarySetUseMPIIO(), PetscViewerBinaryGetMPIIOOffset()

### Level

advanced

### Location

src/sys/classes/viewer/impls/binary/binv.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages